PHP アップデート後にエラーになる

先日、ec2にsshで接続したら
「アップデートあるよ〜」
と出たので、調子にのってアップデートしたらWarningが出て怒られた(;^_^A
忘れるのでφ(゚▽゚*)メモメモ(*゚▽゚)ノ□ペタッ

ErrorMessage

Warning: Unknown(): open(/var/lib/php/session/sess_XXXXXXXX, O_RDWR) failed: Permission denied (13)

対処

PHPのセッションを書きこむ/var/lib/php/session/の権限が、root.apacheになっているので、nginxへ変更。

コマンド

sudo chown -R root.nginx /var/lib/php/session/

上記でなんとかなりました(*´∀`)ノ
アップデートしたら権限戻ちゃうの?

広告

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中